QuaAdler32 Class Reference

Adler32 checksum. More...

`#include <quazip/quaadler32.h>`

Inheritance diagram for QuaAdler32:
[legend]
Collaboration diagram for QuaAdler32:
[legend]

List of all members.

## Public Member Functions

quint32 | calculate (const QByteArray &data)
| Calculates the checksum for data.
void | reset ()
| Resets the calculation on a checksun for a stream.
void | update (const QByteArray &buf)
| Updates the calculated checksum for the stream.
quint32 | value ()
| Value of the checksum calculated for the stream passed throw update().

## Detailed Description

Adler32 checksum.

This class wrappers the adler32 function with the QuaChecksum32 interface. See QuaChecksum32 for more info.

## Member Function Documentation

quint32 QuaAdler32::calculate | ( | const QByteArray & | data | ) | `[virtual]`

Calculates the checksum for data.

data source data

Returns:
  data checksum

This function has no efect on the value returned by value().

Implements QuaChecksum32.

void QuaAdler32::update | ( | const QByteArray & | buf | ) | `[virtual]`

Updates the calculated checksum for the stream.

buf next portion of data from the stream

Implements QuaChecksum32.

quint32 QuaAdler32::value | ( |  | ) | `[virtual]`

Value of the checksum calculated for the stream passed throw update().

Returns:
  checksum

Implements QuaChecksum32.

The documentation for this class was generated from the following files:

- quazip/quaadler32.h
- quazip/quaadler32.cpp